%define upstream_name    Astro-FITS-Header
%define upstream_version 3.09

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}|perl\\((GSD!NDF|Starlink::AST)\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface to FITS headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Astro/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Stores information about a FITS header block in an object. Takes an hash
with an array reference as an argument. The array should contain a list of
FITS header cards as input.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes GPL META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.90.0-2.mga10
+ Revision: 2218573
- Mageia 10 Mass Rebuild

* Tue Aug 29 2023 tv <tv> 3.90.0-1.mga10
+ Revision: 1980917
- update to 3.09

* Mon Mar 21 2022 umeabot <umeabot> 3.80.0-2.mga9
+ Revision: 1813881
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 3.80.0-1.mga9
+ Revision: 1690197
- update to 3.08

* Wed Feb 12 2020 umeabot <umeabot> 3.70.0-14.mga8
+ Revision: 1492761
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.70.0-13.mga7
+ Revision: 1265701
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 3.70.0-12.mga6
+ Revision: 1022597
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 3.70.0-11.mga6
+ Revision: 949276
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 3.70.0-10.mga5
+ Revision: 789463
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.70.0-9.mga5
+ Revision: 749543
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.70.0-8.mga5
+ Revision: 732830
- fix exclude

* Sat Sep 27 2014 tv <tv> 3.70.0-7.mga5
+ Revision: 725913
- fix one exclude

* Sat Sep 27 2014 tv <tv> 3.70.0-6.mga5
+ Revision: 725894
- add even more excludes

* Sat Sep 27 2014 tv <tv> 3.70.0-5.mga5
+ Revision: 725865
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 3.70.0-4.mga5
+ Revision: 683553
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.70.0-3.mga4
+ Revision: 509158
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.70.0-2.mga3
+ Revision: 363195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 3.70.0-1.mga3
+ Revision: 285095
- update to 3.07

* Wed Jul 04 2012 jquelin <jquelin> 3.50.0-1.mga3
+ Revision: 267263
- update to 3.05

* Sun Jan 09 2011 jquelin <jquelin> 3.30.0-1.mga1
+ Revision: 1786
- imported package perl-Astro-FITS-Header

